Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 970420 - Review Request: mingw-gsm - Shared libraries for GSM speech compressor
Summary: Review Request: mingw-gsm - Shared libraries for GSM speech compressor
Keywords:
Status: CLOSED DUPLICATE of bug 1110027
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 970423
TreeView+ depends on / blocked
 
Reported: 2013-06-04 02:15 UTC by Steve
Modified: 2015-07-21 12:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-16 20:48:26 UTC


Attachments (Terms of Use)

Description Steve 2013-06-04 02:15:45 UTC
Spec URL: https://www.box.com/s/as9w085d9tluv7x7u4ni
SRPM URL: https://www.box.com/s/4vkjsrgbkgy37r0xo99t
Description: Contains runtime shared libraries for libgsm, an implementation of the European GSM 06.10 provisional standard for full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse excitation/long term prediction) coding at 13 kbit/s.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh

Comment 1 František Dvořák 2014-02-12 09:53:52 UTC
Issues found:

* build dependencies:
 - missing mingw64 tools - it doesn't build because of that
 - gzip not needed (http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRequires_2)
 - C++ not needed
 - mingwXX-binutils can be removed (will be picked by mingwXX-gcc)

* manpages are not needed in MinGW packages

* mingw patch:
 - there is added -fno-stack-protector to CFLAGS, is it needed? (and why?)
 - is it needed to comment out *_INSTALL* things and tools?
 - it could be more generic (using variable for adding .exe to program names, ...)
 - (it can be compared with other patches "in the wild": http://lrn.no-ip.info/other/mingw/mingw32/gsm/1.0.13-2/)
 - more generic version could be sent to upstream

* RHEL5 stuff can be removed (Group, BuildRoot, %clean, rm -rf, %defattr, ...)

* %prep:
 - better to use 'cp -a' to preserve timestamps
 - gsm doesn't support the out of source build; I haven't found problem in the way used in this .spec file, but I don't know the standard recommended way of doing it in Fedora MinGW packages...

* cosmetic: mixed tab/space rpmlint warning

* library name could be rather libgsm-1.dll? But I'm not sure, Windows libraries naming is not so strict IMHO...

Comment 2 František Dvořák 2014-03-19 22:18:11 UTC
There were no response for more than one month. This ticket could be closed as stalled within one week as described in http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews .

Comment 3 František Dvořák 2014-06-16 20:48:26 UTC

*** This bug has been marked as a duplicate of bug 1110027 ***


Note You need to log in before you can comment on or make changes to this bug.